#
# spec file for package qperf
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define git_ver .0.c706363815a3

Name:           qperf
Summary:        Tool to measure socket and RDMA performance
License:        BSD-2-Clause OR GPL-2.0-only
Group:          Productivity/Networking/Diagnostic
Version:        0.4.11
Release:        1.17
Source:         %{name}-%{version}%{git_ver}.tar.bz2
URL:            http://github.com/linux-rdma/qperf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libibverbs-devel
BuildRequires:  librdmacm-devel
BuildRequires:  libtool

%description
qperf measures bandwidth and latency between two nodes. It can work
over TCP/IP as well as the RDMA transports.

%prep
%setup -q -n  %{name}-%{version}%{git_ver}

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
install -D -m 0755 src/qperf %{buildroot}%{_bindir}/qperf
install -D -m 0644 src/qperf.1 %{buildroot}%{_mandir}/man1/qperf.1
# As they're empty just delete them
rm -f NEWS ChangeLog

%files
%defattr(-, root, root)
%license COPYING
%_bindir/qperf
%_mandir/man1/qperf.1*

%changelog
* Mon Oct  5 2020 Nicolas Morey-Chaisemartin <nmoreychaisemartin@suse.com>
- Update to v0.4.11
  - No changelog available
* Sun Jun  2 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary. Wrap description.
* Tue May 28 2019 Nicolas Morey-Chaisemartin <nmoreychaisemartin@suse.com>
- Fix typo in patchname previous log entry
- Use %%license for COPYING
* Mon Dec 18 2017 nmoreychaisemartin@suse.com
- Update to v0.4.10. No changelog available
  * Add _service to fetch from the new githup repo
- Drop qperf-autoconf.patch and qperf-add_missing_lib.patch
  as they were fixed upstream.
* Tue Jun  3 2014 pth@suse.de
- Update to OFED 3.12 final.
* Thu Feb 13 2014 pth@suse.de
- Update to 0.4.9 for fate#315488.
- Remove NEWS and ChangeLog as they're empty files.
- Add perf-autoconf.patch that tells autoconf these are non-GNU
  sources.
- Add qperf-add_missing_lib.patch that adds -lrdmacm to LDFLAGS.
* Wed Feb  6 2013 stefan.fent@suse.com
- Disable build on s390 and s390x
* Mon Jan 14 2013 pth@suse.de
- Update to the package from OFED 1.5.4.1 (fate#314189)
- Enable OFED on all architectures (fate#314124).
* Thu Dec  3 2009 jjolly@suse.de
- Updated to v0.4.6 from OFED 1.4.2
* Fri Dec 12 2008 jjolly@suse.de
- Updated to v0.4.2 from OFED 1.4 GA
  - Bugfixes
* Tue Oct 28 2008 jjolly@suse.de
- Updated to version from OFED 1.4 rc3
- Added ExcludeArch: s390 s390x
* Thu Sep 25 2008 jjolly@suse.de
- Added librdmacm-devel to the BuildRequires
* Fri Sep 12 2008 jjolly@suse.de
- Initial package created with v0.4.1
